<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAdvisoriesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('advisories', function (Blueprint $table) {
            $table->id();
            $table->char('uuid', 36)->index()->unique();
            $table->integer('parent_id')->index()->default(0);
            $table->integer('logo_id')->nullable();
            $table->integer('document_id')->nullable();
            $table->string('type')->index()->nullable();
            $table->string('name')->index()->nullable();
            $table->string('title')->index()->nullable();
            $table->string('number')->index()->nullable();
            $table->string('email')->index()->nullable();
            $table->string('phone')->index()->nullable();
            $table->string('director_name')->index()->nullable();
            $table->string('secretary_name')->index()->nullable();
            $table->boolean('is_main')->index()->default(0);
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('advisories');
    }
}
